searchData={"items":[{"type":"extras","doc":"# Erlang/OTP 27.0.1\n\nWelcome to Erlang/OTP, a complete development environment for concurrent programming.\n\nThe Erlang language is described in the [Erlang Reference Manual](`e:system:reference_manual.md`). An Erlang tutorial can be found in [Getting Started With Erlang](`e:system:getting_started.md`).\n\nIn addition to the documentation here Erlang is described in several books like:\n\n* [\"Introducing Erlang\"][1] from O'Reilly.\n* [\"Learn You Some Erlang for Great Good!\"][2] from No Starch Press.\n* [\"Erlang Programming\"][3] from O'Reilly.\n* [\"Programming Erlang\"][4] from Pragmatic.\n* [\"Erlang and OTP in Action\"][5] from Manning.\n* [\"Designing for Scalability with Erlang/OTP\"][6] from O'Reilly.\n\nThese books are highly recommended as a start for learning Erlang.\n\nMore information about learning resources, editors and other tools can be found on our [official Erlang web site](https://erlang.org/community).\n\n* Erlang/OTP is divided into a number of [OTP applications](`m:application`). An application normally contains Erlang modules. Some OTP applications, such as the C interface [erl\\_interface](`e:erl_interface:index.html`), are written in other languages and have no Erlang modules.\n\n* When developing with Erlang/OTP you usually test your programs from the interactive shell (see [Getting Started With Erlang](`e:system:getting_started.md`)) where you can call individual functions. There is also a number of tools available, such as the graphical [Debugger](`e:debugger:index.html`) and the [Observer tool](`e:observer:index.html`) for inspection of system information, ets and mnesia tables etc.\n* For questions and discussions about Erlang we recommend [ErlangForums](https://erlangforums.com).\n* There is also the [Frequently Asked Questions](https://www.erlang.org/faq/faq.html) which can be of interest.\n* Additional information and links of interest for Erlang programmers can be found on the Erlang Open Source site https://www.erlang.org.\n\n[1]: https://www.oreilly.com/library/view/introducing-erlang-2nd/9781491973363\n[2]: https://www.nostarch.com/erlang\n[3]: https://www.oreilly.com/library/view/erlang-programming/9780596803940\n[4]: https://www.pragprog.com/titles/jaerlang2/programming-erlang-2nd-edition/\n[5]: https://www.manning.com/logan\n[6]: https://shop.oreilly.com/product/0636920024149.do","title":"Erlang/OTP 27.0.1","ref":"readme.html"},{"type":"extras","doc":"# Module Index\n\n\n|  Module name | Description | Application |\n|--------------|-------------|-------------|\n|  `m:alarm_handler` | An Alarm Handling Process. | [sasl-4.2.2](`e:sasl:index.html`) |\n|  `m:application` | Generic OTP application functions. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:argparse` | Command line arguments parser. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:array` | Functional, extendible arrays. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:asn1ct` | ASN.1 compiler and compile-time support functions. | [asn1-5.3](`e:asn1:index.html`) |\n|  `m:atomics` | Atomic Functions. | [erts-15.0.1](`e:erts:index.html`) |\n|  `m:auth` | Erlang network authentication server. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:base64` | Provides base64 encode and decode, see. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:beam_lib` | This module provides an interface to files created by the BEAM Compiler (\"BEAM. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:binary` | Library for handling binary data. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:c` | Command line interface module. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:calendar` | Local and universal time, day of the week, date and time conversions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:cerl` | Core Erlang abstract syntax trees. | [compiler-8.5.1](`e:compiler:index.html`) |\n|  `m:cerl_clauses` | Utility functions for Core Erlang case/receive clauses. | [compiler-8.5.1](`e:compiler:index.html`) |\n|  `m:cerl_trees` | Basic functions on Core Erlang abstract syntax trees. | [compiler-8.5.1](`e:compiler:index.html`) |\n|  `m:code` | Interface to the Erlang code server process. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:compile` | Erlang Compiler. | [compiler-8.5.1](`e:compiler:index.html`) |\n|  `m:counters` | Counter Functions. | [erts-15.0.1](`e:erts:index.html`) |\n|  `m:cover` | A Coverage Analysis Tool for Erlang. | [tools-4.0](`e:tools:index.html`) |\n|  `m:cprof` | A simple Call Count Profiling Tool using breakpoints for minimal runtime. | [tools-4.0](`e:tools:index.html`) |\n|  `m:cpu_sup` | A CPU Load and CPU Utilization Supervisor Process. | [os_mon-2.10](`e:os_mon:index.html`) |\n|  `m:crashdump_viewer` | A WxWidgets based tool for browsing Erlang crashdumps. | [observer-2.16](`e:observer:index.html`) |\n|  `m:crypto` | Crypto Functions. | [crypto-5.5](`e:crypto:index.html`) |\n|  `m:ct` | Main user interface for the Common Test framework. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_cover` | Common Test framework code coverage support module. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_ftp` | FTP client module (based on the FTP application). | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_hooks` | A callback interface on top of Common Test. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_master` | Distributed test execution control for Common Test. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_netconfc` | NETCONF client module. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_property_test` | Support in Common Test for running property-based tests. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_rpc` | Common Test specific layer on Erlang/OTP rpc. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_slave` | Common Test framework functions for starting and stopping nodes for Large-Scale. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_snmp` | Common Test user interface module for the SNMP application. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_ssh` | SSH/SFTP client module. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_suite` | \\-behaviour(ct_suite). | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_telnet` | Common Test specific layer on top of Telnet client ct_telnet_client.erl. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:ct_testspec` | Parsing of test specifications for Common Test. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:dbg` | The Text Based Trace Facility. | [runtime_tools-2.1](`e:runtime_tools:index.html`) |\n|  `m:debugger` | The Erlang Debugger for debugging and testing of Erlang programs. | [debugger-5.4](`e:debugger:index.html`) |\n|  `m:dets` | A disk-based term storage. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:dialyzer` | Dialyzer is a **DI**screpancy **A**na**LYZ**er for **ER**lang programs. | [dialyzer-5.2](`e:dialyzer:index.html`) |\n|  `m:diameter` | Main API of the diameter application. | [diameter-2.4](`e:diameter:index.html`) |\n|  `m:diameter_app` | Callback module of a Diameter application. | [diameter-2.4](`e:diameter:index.html`) |\n|  `m:diameter_codec` | Decode and encode of Diameter messages. | [diameter-2.4](`e:diameter:index.html`) |\n|  `m:diameter_make` | Diameter dictionary compilation. | [diameter-2.4](`e:diameter:index.html`) |\n|  `m:diameter_sctp` | Diameter transport over SCTP. | [diameter-2.4](`e:diameter:index.html`) |\n|  `m:diameter_tcp` | Diameter transport over TCP. | [diameter-2.4](`e:diameter:index.html`) |\n|  `m:diameter_transport` | Diameter transport interface. | [diameter-2.4](`e:diameter:index.html`) |\n|  `m:dict` | A Key-value dictionary. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:digraph` | This module provides a version of labeled directed graphs (\"digraphs\"). | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:digraph_utils` | This module provides algorithms based on depth-first traversal of directed. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:disk_log` | `disk_log` is a disk-based term logger that enables efficient logging of items. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:disksup` | A Disk Supervisor Process. | [os_mon-2.10](`e:os_mon:index.html`) |\n|  `m:dyntrace` | Interface to dynamic tracing. | [runtime_tools-2.1](`e:runtime_tools:index.html`) |\n|  `m:edlin` | Line and input interpretter for the erlang shell. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:edlin_expand` | Shell expansion and formatting of expansion suggestions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:edoc` | EDoc - the Erlang program documentation generator. | [edoc-1.3.1](`e:edoc:index.html`) |\n|  `m:edoc_doclet` | Standard doclet module for EDoc. | [edoc-1.3.1](`e:edoc:index.html`) |\n|  `m:edoc_doclet_chunks` | Doclet generating standalone EEP-48 doc chunk files. | [edoc-1.3.1](`e:edoc:index.html`) |\n|  `m:edoc_doclet_markdown` | Doclet converting an edoc application to use EEP-59 and markdown. | [edoc-1.3.1](`e:edoc:index.html`) |\n|  `m:edoc_extract` | EDoc documentation extraction. | [edoc-1.3.1](`e:edoc:index.html`) |\n|  `m:edoc_html_to_markdown` | This module can convert application/html+erlang style documentation to markdown. | [edoc-1.3.1](`e:edoc:index.html`) |\n|  `m:edoc_layout` | The standard HTML layout module for EDoc. See the edoc module for details on usage. | [edoc-1.3.1](`e:edoc:index.html`) |\n|  `m:edoc_layout_chunks` | Convert EDoc module documentation to an EEP-48docs_v1 chunk. | [edoc-1.3.1](`e:edoc:index.html`) |\n|  `m:edoc_lib` | Utility functions for EDoc. | [edoc-1.3.1](`e:edoc:index.html`) |\n|  `m:edoc_run` | Interface for calling EDoc from Erlang startup options. | [edoc-1.3.1](`e:edoc:index.html`) |\n|  `m:eldap` | LDAP Client. | [eldap-1.2.13](`e:eldap:index.html`) |\n|  `m:epp` | An Erlang code preprocessor. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:epp_dodger` | `epp_dodger` \\- bypasses the Erlang preprocessor. | [syntax_tools-3.2](`e:syntax_tools:index.html`) |\n|  `m:eprof` | A Time Profiling Tool for Erlang. | [tools-4.0](`e:tools:index.html`) |\n|  `m:erl_anno` | Abstract datatype for the annotations of the Erlang Compiler. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_boot_server` | Boot server for other Erlang machines. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:erl_comment_scan` | Functions for reading comment lines from Erlang source code. | [syntax_tools-3.2](`e:syntax_tools:index.html`) |\n|  `m:erl_ddll` | Dynamic driver loader and linker. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:erl_epmd` | Erlang interface towards epmd. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:erl_error` | This module provides functions for pretty-printing errors and exceptions. It is. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_eval` | The Erlang meta interpreter. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_expand_records` | This module expands records in a module. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_features` | This module contains functions for supporting features that can be. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_id_trans` | This module performs an identity parse transformation of Erlang code. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_internal` | Internal Erlang definitions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_lint` | The Erlang code linter. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_parse` | This module is the basic Erlang parser that converts tokens into the abstract. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_pp` | The Erlang pretty printer. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_prettypr` | Pretty printing of abstract Erlang syntax trees. | [syntax_tools-3.2](`e:syntax_tools:index.html`) |\n|  `m:erl_prim_loader` | The low-level Erlang loader. This module is used to load all Erlang modules into. | [erts-15.0.1](`e:erts:index.html`) |\n|  `m:erl_recomment` | Inserting comments into abstract Erlang syntax trees. | [syntax_tools-3.2](`e:syntax_tools:index.html`) |\n|  `m:erl_scan` | The Erlang token scanner. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_syntax` | Abstract Erlang syntax trees. | [syntax_tools-3.2](`e:syntax_tools:index.html`) |\n|  `m:erl_syntax_lib` | Support library for abstract Erlang syntax trees. | [syntax_tools-3.2](`e:syntax_tools:index.html`) |\n|  `m:erl_tar` | Unix 'tar' utility for reading and writing tar archives. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:erl_tracer` | Erlang tracer behavior. | [erts-15.0.1](`e:erts:index.html`) |\n|  `m:erlang` | The Erlang BIFs and predefined types. | [erts-15.0.1](`e:erts:index.html`) |\n|  `m:erpc` | Enhanced Remote Procedure Call. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:error_handler` | Default system error handler. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:error_logger` | Erlang error logger. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:escript` | This module provides functions to create and inspect escripts. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:et` | Main API of the Event Trace (ET) application. | [et-1.7.1](`e:et:index.html`) |\n|  `m:et_collector` | Collect trace events and provide a backing storage appropriate for iteration. | [et-1.7.1](`e:et:index.html`) |\n|  `m:et_selector` | Define event transforms and trace patterns. | [et-1.7.1](`e:et:index.html`) |\n|  `m:et_viewer` | Displays a sequence chart for trace events (messages/actions). | [et-1.7.1](`e:et:index.html`) |\n|  `m:etop` | Erlang Top is a tool for presenting information about Erlang processes similar. | [observer-2.16](`e:observer:index.html`) |\n|  `m:ets` | Built-in term storage. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:eunit` | This module is the main EUnit user interface. | [eunit-2.9.1](`e:eunit:index.html`) |\n|  `m:eunit_surefire` | Surefire reports for EUnit (Format used by Maven and Atlassian Bamboo for. | [eunit-2.9.1](`e:eunit:index.html`) |\n|  `m:file` | File interface module. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:file_sorter` | File sorter. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:filelib` | File utilities, such as wildcard matching of filenames. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:filename` | Filename manipulation functions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:fprof` | A Time Profiling Tool using trace to file for minimal runtime performance. | [tools-4.0](`e:tools:index.html`) |\n|  `m:ftp` | A File Transfer Protocol client. | [ftp-1.2.2](`e:ftp:index.html`) |\n|  `m:gb_sets` | Sets represented by general balanced trees. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:gb_trees` | General balanced trees. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:gen_event` | Generic event handling behavior. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:gen_fsm` | Deprecated and replaced by `m:gen_statem`. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:gen_sctp` | Interface to SCTP sockets. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:gen_server` | Generic server behavior. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:gen_statem` | Generic state machine behavior. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:gen_tcp` | Interface to TCP/IP sockets. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:gen_udp` | Interface to UDP sockets. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:gl` | Erlang wrapper functions for OpenGL. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:global` | A global name registration facility. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:global_group` | Grouping nodes to global name registration groups. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:glu` | Erlang wrapper functions for OpenGL. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:heart` | Heartbeat monitoring of an Erlang runtime system. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:http_uri` | Old URI utility module, use uri_string instead. | [inets-9.2](`e:inets:index.html`) |\n|  `m:httpc` | An HTTP/1.1 client. | [inets-9.2](`e:inets:index.html`) |\n|  `m:httpd` | HTTP server API. | [inets-9.2](`e:inets:index.html`) |\n|  `m:httpd_custom_api` | Behaviour with optional callbacks to customize the inets HTTP server. | [inets-9.2](`e:inets:index.html`) |\n|  `m:httpd_socket` | Communication utility functions to be used by the Erlang web server API. | [inets-9.2](`e:inets:index.html`) |\n|  `m:httpd_util` | Miscellaneous utility functions to be used when implementing Erlang web server. | [inets-9.2](`e:inets:index.html`) |\n|  `m:i` | Debugger/Interpreter Interface. | [debugger-5.4](`e:debugger:index.html`) |\n|  `m:inet` | Access to Network protocols. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:inet_res` | A rudimentary DNS client. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:inets` | The Inets services API. | [inets-9.2](`e:inets:index.html`) |\n|  `m:init` | Coordination of system startup. | [erts-15.0.1](`e:erts:index.html`) |\n|  `m:instrument` | Analysis and Utility Functions for Instrumentation. | [runtime_tools-2.1](`e:runtime_tools:index.html`) |\n|  `m:int` | Interpreter Interface. | [debugger-5.4](`e:debugger:index.html`) |\n|  `m:io` | Standard I/O server interface functions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:io_lib` | I/O library functions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:json` | A library for encoding and decoding JSON. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:lcnt` | A runtime system Lock Profiling tool. | [tools-4.0](`e:tools:index.html`) |\n|  `m:leex` | Lexical analyzer generator for Erlang. | [parsetools-2.6](`e:parsetools:index.html`) |\n|  `m:lists` | List processing functions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:log_mf_h` | An event handler that logs events to disk. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:logger` | API module for Logger, the standard logging facility in Erlang/OTP. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:logger_disk_log_h` | A disk_log based handler for Logger. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:logger_filters` | Filters to use with Logger. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:logger_formatter` | Default formatter for Logger. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:logger_handler` | logger_handler behavior module. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:logger_std_h` | Standard handler for Logger. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:make` | A Make Utility for Erlang. | [tools-4.0](`e:tools:index.html`) |\n|  `m:maps` | Maps processing functions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:math` | Mathematical functions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:megaco` | Main API of the Megaco application. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_codec_meas` | This module implements a simple megaco codec measurement tool. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_codec_mstone1` | This module implements a simple megaco codec-based performance tool. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_codec_mstone2` | This module implements a simple megaco codec-based performance tool. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_codec_transform` | Megaco message transformation utility. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_digit_map` | Digit Map utility module. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_edist_compress` | Megaco erlang dist compress behaviour. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_encoder` | Megaco encoder behaviour. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_flex_scanner` | Interface module to the flex scanner linked in driver. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_sdp` | SDP utility module. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_tcp` | Interface module to TPKT transport protocol for Megaco/H.248. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_transport` | Megaco transport behaviour. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_udp` | Interface module to UDP transport protocol for Megaco/H.248. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:megaco_user` | Callback module for users of the Megaco application. | [megaco-4.6](`e:megaco:index.html`) |\n|  `m:memsup` | A Memory Supervisor Process. | [os_mon-2.10](`e:os_mon:index.html`) |\n|  `m:merl` | Metaprogramming in Erlang. Merl is a more user friendly interface to the. | [syntax_tools-3.2](`e:syntax_tools:index.html`) |\n|  `m:merl_transform` | Parse transform for merl. Enables the use of automatic metavariables and using. | [syntax_tools-3.2](`e:syntax_tools:index.html`) |\n|  `m:mnesia` | A distributed key-value DBMS. | [mnesia-4.23.2](`e:mnesia:index.html`) |\n|  `m:mnesia_frag_hash` | Defines mnesia_frag_hash callback behavior. | [mnesia-4.23.2](`e:mnesia:index.html`) |\n|  `m:mnesia_registry` | This module is deprecated and the functions should not be used. | [mnesia-4.23.2](`e:mnesia:index.html`) |\n|  `m:mod_alias` | URL aliasing. | [inets-9.2](`e:inets:index.html`) |\n|  `m:mod_auth` | User authentication using text files, Dets, or Mnesia database. | [inets-9.2](`e:inets:index.html`) |\n|  `m:mod_esi` | Erlang Server Interface. | [inets-9.2](`e:inets:index.html`) |\n|  `m:mod_security` | Security Audit and Trailing Functionality. | [inets-9.2](`e:inets:index.html`) |\n|  `m:ms_transform` | A parse transformation that translates fun syntax into match specifications. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:msacc` | Convenience functions for microstate accounting. | [runtime_tools-2.1](`e:runtime_tools:index.html`) |\n|  `m:net` | Network interface. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:net_adm` | Various Erlang net administration routines. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:net_kernel` | Erlang networking kernel. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:nteventlog` | Interface to Windows Event Log. | [os_mon-2.10](`e:os_mon:index.html`) |\n|  `m:observer` | A GUI tool for observing an Erlang system. | [observer-2.16](`e:observer:index.html`) |\n|  `m:odbc` | Erlang ODBC application. | [odbc-2.14.3](`e:odbc:index.html`) |\n|  `m:orddict` | Key-value dictionary as ordered list. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:ordsets` | Functions for manipulating sets as ordered lists. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:os` | Operating system-specific functions. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:os_sup` | Interface to OS System Messages. | [os_mon-2.10](`e:os_mon:index.html`) |\n|  `m:peer` | Start and control linked Erlang nodes. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:persistent_term` | Persistent terms. | [erts-15.0.1](`e:erts:index.html`) |\n|  `m:pg` | Distributed named process groups. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:pool` | Load distribution facility. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:prettypr` | A generic pretty printer library. This module uses a strict-style context. | [syntax_tools-3.2](`e:syntax_tools:index.html`) |\n|  `m:proc_lib` | Functions for asynchronous and synchronous start of processes adhering to the. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:proplists` | Support functions for property lists. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:public_key` | API module for public-key infrastructure. | [public_key-1.16.1](`e:public_key:index.html`) |\n|  `m:qlc` | This module provides a query interface to [Mnesia](`m:mnesia`), [ETS](`m:ets`),. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:queue` | Abstract data type for FIFO queues. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:rand` | Pseudo random number generation. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:random` | Pseudo-random number generation. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:rb` | The Report Browser Tool. | [sasl-4.2.2](`e:sasl:index.html`) |\n|  `m:re` | This module contains regular expression matching functions for strings and. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:release_handler` | Unpacking and Installation of Release Packages. | [sasl-4.2.2](`e:sasl:index.html`) |\n|  `m:reltool` | Main API of the Reltool application. | [reltool-1.0.1](`e:reltool:index.html`) |\n|  `m:rpc` | Remote Procedure Call services. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:scheduler` | Measure scheduler utilization. | [runtime_tools-2.1](`e:runtime_tools:index.html`) |\n|  `m:seq_trace` | Sequential tracing of information transfers. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:sets` | Sets are collections of elements with no duplicate elements. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:shell` | The Erlang shell. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:shell_default` | Customizing the Erlang environment. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:shell_docs` | Functions used to render [EEP-48](`e:kernel:eep48_chapter.md`) style documentation for a shell. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:slave` | This module provides functions for starting Erlang slave nodes. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:snmp` | Interface functions to the SNMP toolkit. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmp_community_mib` | Instrumentation Functions for SNMP-COMMUNITY-MIB. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmp_framework_mib` | Instrumentation Functions for SNMP-FRAMEWORK-MIB. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmp_generic` | Generic Functions for Implementing SNMP Objects in a Database. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmp_index` | Abstract Data Type for SNMP Indexing. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmp_notification_mib` | Instrumentation Functions for SNMP-NOTIFICATION-MIB. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmp_pdus` | Encode and Decode Functions for SNMP PDUs. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmp_standard_mib` | Instrumentation Functions for STANDARD-MIB and SNMPv2-MIB. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmp_target_mib` | Instrumentation Functions for SNMP-TARGET-MIB. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmp_user_based_sm_mib` | Instrumentation Functions for SNMP-USER-BASED-SM-MIB. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmp_view_based_acm_mib` | Instrumentation Functions for SNMP-VIEW-BASED-ACM-MIB. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa` | Interface Functions to the SNMP toolkit agent. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_conf` | Utility functions for handling the agent config files. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_discovery_handler` | Behaviour module for the SNMP agent discovery handler. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_error` | Functions for Reporting SNMP Errors. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_error_io` | Functions for Reporting SNMP Errors on stdio. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_error_logger` | Functions for Reporting SNMP Errors through the error_logger. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_error_report` | Behaviour module for reporting SNMP agent errors. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_local_db` | The SNMP built-in database. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_mib_data` | Behaviour module for the SNMP agent mib-server data module. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_mib_storage` | Behaviour module for the SNMP agent mib storage. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_mpd` | Message Processing and Dispatch module for the SNMP agent. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_network_interface` | Behaviour module for the SNMP agent network interface. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_network_interface_filter` | Behaviour module for the SNMP agent network-interface filter. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_notification_delivery_info_receiver` | Behaviour module for the SNMP agent notification delivery information receiver. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_notification_filter` | Behaviour module for the SNMP agent notification filters. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpa_supervisor` | A supervisor for the SNMP agent Processes. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpc` | Interface Functions to the SNMP toolkit MIB compiler. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpm` | Interface functions to the SNMP toolkit manager. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpm_conf` | Utility functions for handling the manager config files. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpm_mpd` | Message Processing and Dispatch module for the SNMP manager. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpm_network_interface` | Behaviour module for the SNMP manager network interface. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpm_network_interface_filter` | Behaviour module for the SNMP manager network-interface filter. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:snmpm_user` | Behaviour module for the SNMP manager user. | [snmp-5.16](`e:snmp:index.html`) |\n|  `m:socket` | Socket interface. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:sofs` | Functions for manipulating sets of sets. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:ssh` | Main API of the ssh application. | [ssh-5.2.1](`e:ssh:index.html`) |\n|  `m:ssh_agent` | Callback module for using an SSH agent instead of the default ssh_file callback. | [ssh-5.2.1](`e:ssh:index.html`) |\n|  `m:ssh_client_channel` | \\-behaviour(ssh_client_channel). (Replaces ssh_channel). | [ssh-5.2.1](`e:ssh:index.html`) |\n|  `m:ssh_client_key_api` | \\-behaviour(ssh_client_key_api). | [ssh-5.2.1](`e:ssh:index.html`) |\n|  `m:ssh_connection` | This module provides API functions to send SSH Connection Protocol events to the. | [ssh-5.2.1](`e:ssh:index.html`) |\n|  `m:ssh_file` | Default callback module for the client's and server's database operations in the. | [ssh-5.2.1](`e:ssh:index.html`) |\n|  `m:ssh_server_channel` | \\-behaviour(ssh_server_channel). (Replaces ssh_daemon_channel). | [ssh-5.2.1](`e:ssh:index.html`) |\n|  `m:ssh_server_key_api` | \\-behaviour(ssh_server_key_api). | [ssh-5.2.1](`e:ssh:index.html`) |\n|  `m:ssh_sftp` | SFTP client. | [ssh-5.2.1](`e:ssh:index.html`) |\n|  `m:ssh_sftpd` | Specifies the channel process to handle an SFTP subsystem. | [ssh-5.2.1](`e:ssh:index.html`) |\n|  `m:ssl` | Interface functions for TLS (Transport Layer Security),. | [ssl-11.2.1](`e:ssl:index.html`) |\n|  `m:ssl_crl_cache` | CRL cache. | [ssl-11.2.1](`e:ssl:index.html`) |\n|  `m:ssl_crl_cache_api` | API for a TLS CRL (Certificate Revocation List) cache. | [ssl-11.2.1](`e:ssl:index.html`) |\n|  `m:ssl_session_cache_api` | TLS session cache API. | [ssl-11.2.1](`e:ssl:index.html`) |\n|  `m:string` | String processing functions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:supervisor` | Generic supervisor behavior. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:supervisor_bridge` | Generic supervisor bridge behavior. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:sys` | A functional interface to system messages. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:system_information` | System Information. | [runtime_tools-2.1](`e:runtime_tools:index.html`) |\n|  `m:systools` | A Set of Release Handling Tools. | [sasl-4.2.2](`e:sasl:index.html`) |\n|  `m:tags` | Generate Emacs TAGS file from Erlang source files. | [tools-4.0](`e:tools:index.html`) |\n|  `m:tftp` | Trivial FTP. | [tftp-1.2](`e:tftp:index.html`) |\n|  `m:tftp_logger` | Trivial FTP logger. | [tftp-1.2](`e:tftp:index.html`) |\n|  `m:timer` | Timer functions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:tprof` | Process Tracing Profiling Tool. | [tools-4.0](`e:tools:index.html`) |\n|  `m:trace` | The Erlang trace interface. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:ttb` | A base for building trace tools for distributed systems. | [observer-2.16](`e:observer:index.html`) |\n|  `m:unicode` | Functions for converting Unicode characters. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:unix_telnet` | Callback module for ct_telnet, for connecting to a Telnet server on a UNIX host. | [common_test-1.27](`e:common_test:index.html`) |\n|  `m:uri_string` | URI processing functions. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:win32reg` | Provides access to the registry on Windows. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:wrap_log_reader` | A service to read internally formatted wrap disk logs. | [kernel-10.0.1](`e:kernel:index.html`) |\n|  `m:wx` | A port of wxWidgets. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxAcceleratorEntry` | Functions for wxAcceleratorEntry class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxAcceleratorTable` | Functions for wxAcceleratorTable class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxActivateEvent` | Functions for wxActivateEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxArtProvider` | Functions for wxArtProvider class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxAuiDockArt` | Functions for wxAuiDockArt class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxAuiManager` | Functions for wxAuiManager class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxAuiManagerEvent` | Functions for wxAuiManagerEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxAuiNotebook` | Functions for wxAuiNotebook class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxAuiNotebookEvent` | Functions for wxAuiNotebookEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxAuiPaneInfo` | Functions for wxAuiPaneInfo class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxAuiSimpleTabArt` | Functions for wxAuiSimpleTabArt class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxAuiTabArt` | Functions for wxAuiTabArt class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxBitmap` | Functions for wxBitmap class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxBitmapButton` | Functions for wxBitmapButton class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxBitmapDataObject` | Functions for wxBitmapDataObject class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxBookCtrlBase` | Functions for wxBookCtrlBase class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxBookCtrlEvent` | Functions for wxBookCtrlEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxBoxSizer` | Functions for wxBoxSizer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxBrush` | Functions for wxBrush class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxBufferedDC` | Functions for wxBufferedDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxBufferedPaintDC` | Functions for wxBufferedPaintDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxButton` | Functions for wxButton class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxCalendarCtrl` | Functions for wxCalendarCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxCalendarDateAttr` | Functions for wxCalendarDateAttr class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxCalendarEvent` | Functions for wxCalendarEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxCaret` | Functions for wxCaret class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxCheckBox` | Functions for wxCheckBox class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxCheckListBox` | Functions for wxCheckListBox class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxChildFocusEvent` | Functions for wxChildFocusEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxChoice` | Functions for wxChoice class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxChoicebook` | Functions for wxChoicebook class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxClientDC` | Functions for wxClientDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxClipboard` | Functions for wxClipboard class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxClipboardTextEvent` | Functions for wxClipboardTextEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxCloseEvent` | Functions for wxCloseEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxColourData` | Functions for wxColourData class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxColourDialog` | Functions for wxColourDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxColourPickerCtrl` | Functions for wxColourPickerCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxColourPickerEvent` | Functions for wxColourPickerEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxComboBox` | Functions for wxComboBox class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxCommandEvent` | Functions for wxCommandEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxContextMenuEvent` | Functions for wxContextMenuEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxControl` | Functions for wxControl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxControlWithItems` | Functions for wxControlWithItems class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxCursor` | Functions for wxCursor class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDC` | Functions for wxDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDCOverlay` | Functions for wxDCOverlay class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDataObject` | Functions for wxDataObject class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDateEvent` | Functions for wxDateEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDatePickerCtrl` | Functions for wxDatePickerCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDialog` | Functions for wxDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDirDialog` | Functions for wxDirDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDirPickerCtrl` | Functions for wxDirPickerCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDisplay` | Functions for wxDisplay class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDisplayChangedEvent` | Functions for wxDisplayChangedEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxDropFilesEvent` | Functions for wxDropFilesEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxEraseEvent` | Functions for wxEraseEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxEvent` | Functions for wxEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxEvtHandler` | Functions for wxEvtHandler class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFileDataObject` | Functions for wxFileDataObject class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFileDialog` | Functions for wxFileDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFileDirPickerEvent` | Functions for wxFileDirPickerEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFilePickerCtrl` | Functions for wxFilePickerCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFindReplaceData` | Functions for wxFindReplaceData class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFindReplaceDialog` | Functions for wxFindReplaceDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFlexGridSizer` | Functions for wxFlexGridSizer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFocusEvent` | Functions for wxFocusEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFont` | Functions for wxFont class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFontData` | Functions for wxFontData class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFontDialog` | Functions for wxFontDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFontPickerCtrl` | Functions for wxFontPickerCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFontPickerEvent` | Functions for wxFontPickerEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxFrame` | Functions for wxFrame class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGBSizerItem` | Functions for wxGBSizerItem class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGCDC` | Functions for wxGCDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGLCanvas` | Functions for wxGLCanvas class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGLContext` | Functions for wxGLContext class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGauge` | Functions for wxGauge class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGenericDirCtrl` | Functions for wxGenericDirCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGraphicsBrush` | Functions for wxGraphicsBrush class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGraphicsContext` | Functions for wxGraphicsContext class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGraphicsFont` | Functions for wxGraphicsFont class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGraphicsGradientStops` | Represents a collection of wxGraphicGradientStop values for use with. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGraphicsMatrix` | Functions for wxGraphicsMatrix class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGraphicsObject` | Functions for wxGraphicsObject class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGraphicsPath` | Functions for wxGraphicsPath class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGraphicsPen` | Functions for wxGraphicsPen class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGraphicsRenderer` | Functions for wxGraphicsRenderer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGrid` | Functions for wxGrid class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridBagSizer` | Functions for wxGridBagSizer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellAttr` | Functions for wxGridCellAttr class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellBoolEditor` | Functions for wxGridCellBoolEditor class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellBoolRenderer` | Functions for wxGridCellBoolRenderer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellChoiceEditor` | Functions for wxGridCellChoiceEditor class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellEditor` | Functions for wxGridCellEditor class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellFloatEditor` | Functions for wxGridCellFloatEditor class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellFloatRenderer` | Functions for wxGridCellFloatRenderer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellNumberEditor` | Functions for wxGridCellNumberEditor class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellNumberRenderer` | Functions for wxGridCellNumberRenderer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellRenderer` | Functions for wxGridCellRenderer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellStringRenderer` | Functions for wxGridCellStringRenderer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridCellTextEditor` | Functions for wxGridCellTextEditor class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridEvent` | Functions for wxGridEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxGridSizer` | Functions for wxGridSizer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxHelpEvent` | Functions for wxHelpEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxHtmlEasyPrinting` | Functions for wxHtmlEasyPrinting class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxHtmlLinkEvent` | Functions for wxHtmlLinkEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxHtmlWindow` | Functions for wxHtmlWindow class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxIcon` | Functions for wxIcon class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxIconBundle` | Functions for wxIconBundle class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxIconizeEvent` | Functions for wxIconizeEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxIdleEvent` | Functions for wxIdleEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxImage` | Functions for wxImage class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxImageList` | Functions for wxImageList class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxInitDialogEvent` | Functions for wxInitDialogEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxJoystickEvent` | Functions for wxJoystickEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxKeyEvent` | Functions for wxKeyEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxLayoutAlgorithm` | Functions for wxLayoutAlgorithm class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxListBox` | Functions for wxListBox class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxListCtrl` | Functions for wxListCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxListEvent` | Functions for wxListEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxListItem` | Functions for wxListItem class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxListItemAttr` | Functions for wxListItemAttr class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxListView` | Functions for wxListView class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxListbook` | Functions for wxListbook class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxLocale` | Functions for wxLocale class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxLogNull` | Functions for wxLogNull class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMDIChildFrame` | Functions for wxMDIChildFrame class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMDIClientWindow` | Functions for wxMDIClientWindow class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMDIParentFrame` | Functions for wxMDIParentFrame class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMask` | Functions for wxMask class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMaximizeEvent` | Functions for wxMaximizeEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMemoryDC` | Functions for wxMemoryDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMenu` | Functions for wxMenu class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMenuBar` | Functions for wxMenuBar class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMenuEvent` | Functions for wxMenuEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMenuItem` | Functions for wxMenuItem class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMessageDialog` | Functions for wxMessageDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMiniFrame` | Functions for wxMiniFrame class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMirrorDC` | Functions for wxMirrorDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMouseCaptureChangedEvent` | Functions for wxMouseCaptureChangedEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMouseCaptureLostEvent` | Functions for wxMouseCaptureLostEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMouseEvent` | Functions for wxMouseEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMoveEvent` | Functions for wxMoveEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxMultiChoiceDialog` | Functions for wxMultiChoiceDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxNavigationKeyEvent` | Functions for wxNavigationKeyEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxNotebook` | Functions for wxNotebook class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxNotificationMessage` | Functions for wxNotificationMessage class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxNotifyEvent` | Functions for wxNotifyEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxOverlay` | Functions for wxOverlay class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPageSetupDialog` | Functions for wxPageSetupDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPageSetupDialogData` | Functions for wxPageSetupDialogData class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPaintDC` | Functions for wxPaintDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPaintEvent` | Functions for wxPaintEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPalette` | Functions for wxPalette class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPaletteChangedEvent` | Functions for wxPaletteChangedEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPanel` | Functions for wxPanel class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPasswordEntryDialog` | Functions for wxPasswordEntryDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPen` | Functions for wxPen class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPickerBase` | Functions for wxPickerBase class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPopupTransientWindow` | Functions for wxPopupTransientWindow class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPopupWindow` | Functions for wxPopupWindow class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPostScriptDC` | Functions for wxPostScriptDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPreviewCanvas` | Functions for wxPreviewCanvas class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPreviewControlBar` | Functions for wxPreviewControlBar class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPreviewFrame` | Functions for wxPreviewFrame class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPrintData` | Functions for wxPrintData class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPrintDialog` | Functions for wxPrintDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPrintDialogData` | Functions for wxPrintDialogData class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPrintPreview` | Functions for wxPrintPreview class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPrinter` | Functions for wxPrinter class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxPrintout` | Functions for wxPrintout class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxProgressDialog` | Functions for wxProgressDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxQueryNewPaletteEvent` | Functions for wxQueryNewPaletteEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxRadioBox` | Functions for wxRadioBox class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxRadioButton` | Functions for wxRadioButton class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxRegion` | Functions for wxRegion class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSashEvent` | Functions for wxSashEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSashLayoutWindow` | Functions for wxSashLayoutWindow class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSashWindow` | Functions for wxSashWindow class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxScreenDC` | Functions for wxScreenDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxScrollBar` | Functions for wxScrollBar class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxScrollEvent` | Functions for wxScrollEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxScrollWinEvent` | Functions for wxScrollWinEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxScrolledWindow` | The wxScrolled (not implemented in wx) class manages scrolling for its client. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSetCursorEvent` | Functions for wxSetCursorEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxShowEvent` | Functions for wxShowEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSingleChoiceDialog` | Functions for wxSingleChoiceDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSizeEvent` | Functions for wxSizeEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSizer` | Functions for wxSizer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSizerFlags` | Functions for wxSizerFlags class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSizerItem` | Functions for wxSizerItem class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSlider` | Functions for wxSlider class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSpinButton` | Functions for wxSpinButton class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSpinCtrl` | Functions for wxSpinCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSpinEvent` | Functions for wxSpinEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSplashScreen` | Functions for wxSplashScreen class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSplitterEvent` | Functions for wxSplitterEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSplitterWindow` | Functions for wxSplitterWindow class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxStaticBitmap` | Functions for wxStaticBitmap class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxStaticBox` | Functions for wxStaticBox class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxStaticBoxSizer` | Functions for wxStaticBoxSizer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxStaticLine` | Functions for wxStaticLine class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxStaticText` | Functions for wxStaticText class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxStatusBar` | Functions for wxStatusBar class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxStdDialogButtonSizer` | Functions for wxStdDialogButtonSizer class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxStyledTextCtrl` | Functions for wxStyledTextCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxStyledTextEvent` | Functions for wxStyledTextEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSysColourChangedEvent` | Functions for wxSysColourChangedEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSystemOptions` | Functions for wxSystemOptions class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxSystemSettings` | Functions for wxSystemSettings class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxTaskBarIcon` | Functions for wxTaskBarIcon class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxTaskBarIconEvent` | Functions for wxTaskBarIconEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxTextAttr` | Functions for wxTextAttr class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxTextCtrl` | Functions for wxTextCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxTextDataObject` | Functions for wxTextDataObject class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxTextEntryDialog` | Functions for wxTextEntryDialog class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxToggleButton` | Functions for wxToggleButton class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxToolBar` | Functions for wxToolBar class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxToolTip` | Functions for wxToolTip class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxToolbook` | Functions for wxToolbook class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxTopLevelWindow` | Functions for wxTopLevelWindow class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxTreeCtrl` | Functions for wxTreeCtrl class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxTreeEvent` | Functions for wxTreeEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxTreebook` | Functions for wxTreebook class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxUpdateUIEvent` | Functions for wxUpdateUIEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxWebView` | Functions for wxWebView class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxWebViewEvent` | Functions for wxWebViewEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxWindow` | Functions for wxWindow class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxWindowCreateEvent` | Functions for wxWindowCreateEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxWindowDC` | Functions for wxWindowDC class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxWindowDestroyEvent` | Functions for wxWindowDestroyEvent class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wxXmlResource` | Functions for wxXmlResource class. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wx_misc` | Miscellaneous functions. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:wx_object` | wx_object - Generic wx object behaviour. | [wx-2.4.2](`e:wx:index.html`) |\n|  `m:xmerl` | Functions for exporting XML data to an external format. | [xmerl-2.0](`e:xmerl:index.html`) |\n|  `m:xmerl_eventp` | Simple event-based processors (front-ends to `m:xmerl_scan`). | [xmerl-2.0](`e:xmerl:index.html`) |\n|  `m:xmerl_sax_parser` | XML SAX parser API. | [xmerl-2.0](`e:xmerl:index.html`) |\n|  `m:xmerl_scan` | Single pass XML scanner. | [xmerl-2.0](`e:xmerl:index.html`) |\n|  `m:xmerl_xpath` | Xpath 1.0 search implementation. | [xmerl-2.0](`e:xmerl:index.html`) |\n|  `m:xmerl_xs` | XSLT-like XML document transformations. | [xmerl-2.0](`e:xmerl:index.html`) |\n|  `m:xmerl_xsd` | Interface module for XML Schema validation. | [xmerl-2.0](`e:xmerl:index.html`) |\n|  `m:xref` | A Cross Reference Tool for analyzing dependencies between functions, modules,. | [tools-4.0](`e:tools:index.html`) |\n|  `m:yecc` | LALR-1 Parser Generator. | [parsetools-2.6](`e:parsetools:index.html`) |\n|  `m:zip` | Utility for reading and creating 'zip' archives. | [stdlib-6.0.1](`e:stdlib:index.html`) |\n|  `m:zlib` | zlib compression interface. | [erts-15.0.1](`e:erts:index.html`) |\n\n\n\n\n<!-- Generated by otp_man_index -->","title":"Module Index","ref":"man_index.html"},{"type":"extras","doc":"# Deprecations","title":"Deprecations","ref":"deprecations.html"},{"type":"extras","doc":"This document lists all deprecated functionality in Erlang/OTP. For more\ninformation regarding the strategy regarding deprecations see the documentation\nof\n[Support, Compatibility, Deprecations, and Removal](`e:system:misc.md#deprecation`).","title":"Introduction - Deprecations","ref":"deprecations.html#introduction"},{"type":"extras","doc":"","title":"OTP 27 - Deprecations","ref":"deprecations.html#otp-27"},{"type":"extras","doc":"The following features for archives are deprecated:\n\n* Using archives for packaging a single application or parts of a\n  single application into an archive file that is included in the code\n  path.\n\n* All functionality to handle archives in module\n  [`erl_prim_loader`](https://www.erlang.org/doc/man/erl_prim_loader).\n\n* The `-code_path_choice` flag for `erl`.\n\nUsing a single archive file for holding BEAM files and other data\nfiles in an Escript is **not** deprecated. However, to access files in\nthe archive the `escript:extract/2` function has to be used.","title":"Archives - Deprecations","ref":"deprecations.html#archives"},{"type":"extras","doc":"-   `code:lib_dir/2`  (this functionality will be removed in a future release)\n-   `crypto:private_decrypt/4`  (do not use)\n-   `crypto:private_encrypt/4`  (use public_key:sign/3 instead)\n-   `crypto:public_decrypt/4`  (use public_key:verify/4 instead)\n-   `crypto:public_encrypt/4`  (do not use)\n-   `mnesia_registry:create_table/_`  (use mnesia:create_table/2 instead)\n-   `public_key:decrypt_private/2`  (do not use)\n-   `public_key:decrypt_private/3`  (do not use)\n-   `public_key:decrypt_public/2`  (use public_key:verify/4 instead)\n-   `public_key:decrypt_public/3`  (use public_key:verify/5 instead)\n-   `public_key:encrypt_private/2`  (use public_key:sign/3 instead)\n-   `public_key:encrypt_private/3`  (use public_key:sign 4 instead)\n-   `public_key:encrypt_public/2`  (do not use)\n-   `public_key:encrypt_public/3`  (do not use)\n-   `ssl:prf/5`  (Use export_key_materials/4 instead. Note that in OTP 28 the 'testing' way of calling this function will no longer be supported.)","title":"Functions Deprecated in OTP 27 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-27"},{"type":"extras","doc":"","title":"OTP 26 - Deprecations","ref":"deprecations.html#otp-26"},{"type":"extras","doc":"-   `dbg:stop_clear/0`  (use dbg:stop/0 instead)\n-   `disk_log:inc_wrap_file/1`  (use disk_log:next_file/1 instead)","title":"Functions Deprecated in OTP 26 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-26"},{"type":"extras","doc":"","title":"OTP 25 - Deprecations","ref":"deprecations.html#otp-25"},{"type":"extras","doc":"-   `ct_slave:_/_`  (use ?CT_PEER(), or the 'peer' module instead)\n-   `slave:_/_`  (use the 'peer' module instead)","title":"Functions Deprecated in OTP 25 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-25"},{"type":"extras","doc":"","title":"OTP 24 - Deprecations","ref":"deprecations.html#otp-24"},{"type":"extras","doc":"Communication over the Erlang distribution without support for large\n[node container data types (version 4)](`e:erts:erl_dist_protocol.md#DFLAG_V4_NC`)\nis as of OTP 24 deprecated and is scheduled for removal in OTP 26. That is, as\nof OTP 26, support for large node container data types will become mandatory.","title":"Erlang Distribution Without Large Node Container Support - Deprecations","ref":"deprecations.html#erlang-distribution-without-large-node-container-support"},{"type":"extras","doc":"The old link protocol used when communicating over the Erlang distribution is as\nof OTP 24 deprecated and support for it is scheduled for removal in OTP 26. As\nof OTP 26, the\n[new link protocol](`e:erts:erl_dist_protocol.md#new_link_protocol`) will become\nmandatory. That is, Erlang nodes will then refuse to connect to nodes not\nimplementing the new link protocol. If you implement the Erlang distribution\nyourself, you are, however, encouraged to implement the new link protocol as\nsoon as possible since the old protocol can cause links to enter an inconsistent\nstate.\n\n### ?NO_APP macro\n\nThe ?NO_APP macro in the edoc include file `edoc_doclet.hrl` has been\ndeprecated.","title":"Old Link Protocol - Deprecations","ref":"deprecations.html#old-link-protocol"},{"type":"extras","doc":"-   `erlang:phash/2` (use erlang:phash2/2 instead)\n-   `zlib:adler32/2` (use erlang:adler32/1 instead)\n-   `zlib:adler32/3` (use erlang:adler32/2 instead)\n-   `zlib:adler32_combine/4` (use erlang:adler_combine/3 instead)\n-   `zlib:crc32/1` (use erlang:crc32/1 on the uncompressed data instead)\n-   `zlib:crc32/2` (use erlang:crc32/1 instead)\n-   `zlib:crc32/3` (use erlang:crc32/2 instead)\n-   `zlib:crc32_combine/4` (use erlang:crc32_combine/3 instead)\n-   `zlib:getBufSize/1` (this function will be removed in a future release)\n-   `zlib:inflateChunk/1` (use safeInflate/2 instead)\n-   `zlib:inflateChunk/2` (use safeInflate/2 instead)\n-   `zlib:setBufSize/2` (this function will be removed in a future release)","title":"Functions Deprecated in OTP 24 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-24"},{"type":"extras","doc":"-   `erlang:phash/2`  (use erlang:phash2/2 instead)","title":"Functions Deprecated in OTP 24 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-24"},{"type":"extras","doc":"","title":"OTP 23 - Deprecations","ref":"deprecations.html#otp-23"},{"type":"extras","doc":"The [Old API](`e:crypto:new_api.md#the-old-api`) is deprecated as of OTP 23 and\nhas been [removed in OTP 24](removed.md#otp-24).\n\nFor replacement functions see the [New API](`e:crypto:new_api.md#the-new-api`).","title":"Crypto Old API - Deprecations","ref":"deprecations.html#crypto-old-api"},{"type":"extras","doc":"Since OTP 21 the recommended module to handle URIs is `m:uri_string`. The module\nhttp_uri does not provide a implementation that satisfies the RFC.","title":"http_uri - Deprecations","ref":"deprecations.html#http_uri"},{"type":"extras","doc":"The public key algorithm `'ssh-rsa` is regarded as insecure due to its usage of\nSHA1, and is therefore deprecated. It will not be available by default from\nOTP-24.\n\nThe public key algorithm `'ssh-dss` is regarded as insecure due to its usage of\nSHA1 and its short key length, and is therefore deprecated. It is not available\nby default from OTP-23.","title":"ssh - Deprecations","ref":"deprecations.html#ssh"},{"type":"extras","doc":"As of OTP 23, the distributed `m:disk_log` feature has been deprecated and it\nhas also been [removed in OTP 24](removed.md#otp-24).","title":"Distributed Disk Logs - Deprecations","ref":"deprecations.html#distributed-disk-logs"},{"type":"extras","doc":"As of OTP 23, the `registry` functionality part of `erl_interface` has been\ndeprecated and it has also been [removed in OTP 24](removed.md#otp-24).","title":"erl_interface registry - Deprecations","ref":"deprecations.html#erl_interface-registry"},{"type":"extras","doc":"-   `http_uri:decode/1` (use uri_string:unquote function instead)\n-   `http_uri:encode/1` (use uri_string:quote function instead)\n-   `httpd:parse_query/1` (use uri_string:dissect_query/1 instead)","title":"Functions Deprecated in OTP 23 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-23"},{"type":"extras","doc":"-   `http_uri:decode/1`  (use uri_string:unquote function instead)\n-   `http_uri:encode/1`  (use uri_string:quote function instead)\n-   `httpd:parse_query/1`  (use uri_string:dissect_query/1 instead)","title":"Functions Deprecated in OTP 23 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-23"},{"type":"extras","doc":"","title":"OTP 22 - Deprecations","ref":"deprecations.html#otp-22"},{"type":"extras","doc":"Some parts of OTP has had limited VxWorks support, such as for example\n[`erl_interface`](`e:erl_interface:index.html`). This support is as of OTP 22\nformally deprecated and has also been [removed in OTP 23](removed.md#otp-23).","title":"VxWorks Support - Deprecations","ref":"deprecations.html#vxworks-support"},{"type":"extras","doc":"The old legacy [`erl_interface`](`e:erl_interface:index.html`) library\n(functions with prefix `erl_`) is deprecated as of OTP 22. These parts of\n`erl_interface` has been informally deprecated for a very long time. You\ntypically want to replace the usage of the `erl_interface` library with the use\nof the `ei` library which also is part of the `erl_interface` application. The\nold legacy [`erl_interface`](`e:erl_interface:index.html`) library has also been\n[removed in OTP 23](removed.md#otp-23).","title":"Legacy parts of erl_interface - Deprecations","ref":"deprecations.html#legacy-parts-of-erl_interface"},{"type":"extras","doc":"The format of \"System Events\" as defined in the man page for `m:sys` has been\nclarified and cleaned up. Due to this, code that relied on the internal badly\ndocumented previous (before this change) format of OTP's \"System Events\", needs\nto be changed.\n\nIn the wake of this the function `sys:get_debug/3` that returns data with\nundocumented and internal format (and therefore is practically useless) has been\ndeprecated, and a new function `sys:get_log/1` has been added, that hopefully\ndoes what the deprecated function was intended for.","title":"System Events - Deprecations","ref":"deprecations.html#system-events"},{"type":"extras","doc":"-   `net:broadcast/3` (use rpc:eval_everywhere/3 instead)\n-   `net:call/4` (use rpc:call/4 instead)\n-   `net:cast/4` (use rpc:cast/4 instead)\n-   `net:ping/1` (use net_adm:ping/1 instead)\n-   `net:sleep/1` (use 'receive after T -> ok end' instead)\n-   `sys:get_debug/3` (incorrectly documented and only for internal use. Can\n    often be replaced with sys:get_log/1)","title":"Functions Deprecated in OTP 22 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-22"},{"type":"extras","doc":"-   `net:broadcast/3`  (use rpc:eval_everywhere/3 instead)\n-   `net:call/4`  (use rpc:call/4 instead)\n-   `net:cast/4`  (use rpc:cast/4 instead)\n-   `net:ping/1`  (use net_adm:ping/1 instead)\n-   `net:sleep/1`  (use 'receive after T -> ok end' instead)\n-   `sys:get_debug/3`  (incorrectly documented and only for internal use. Can often be replaced with sys:get_log/1)","title":"Functions Deprecated in OTP 22 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-22"},{"type":"extras","doc":"","title":"OTP 20 - Deprecations","ref":"deprecations.html#otp-20"},{"type":"extras","doc":"-   `crypto:rand_uniform/2`  (use rand:uniform/1 instead)\n-   `gen_fsm:_/_`  (use the 'gen_statem' module instead)","title":"Functions Deprecated in OTP 20 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-20"},{"type":"extras","doc":"","title":"OTP 19 - Deprecations","ref":"deprecations.html#otp-19"},{"type":"extras","doc":"For security reasons SSL-3.0 is no longer supported by default, but can be\nconfigured.","title":"SSL/TLS - Deprecations","ref":"deprecations.html#ssl-tls"},{"type":"extras","doc":"-   `queue:lait/1`  (use queue:liat/1 instead)\n-   `random:_/_`  (use the 'rand' module instead)","title":"Functions Deprecated in OTP 19 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-19"},{"type":"extras","doc":"","title":"OTP 18 - Deprecations","ref":"deprecations.html#otp-18"},{"type":"extras","doc":"New time functionality and a new time API was introduced. For more information\nsee the [Time and Time Correction](`e:erts:time_correction.md`) chapter in the\nERTS User's guide and specifically the\n[Dos and Donts](`e:erts:time_correction.md#Dos_and_Donts`) section on how to\nreplace usage of `erlang:now/0`.","title":"erlang:now/0 - Deprecations","ref":"deprecations.html#erlang-now-0"},{"type":"extras","doc":"API functions in the module `httpd_conf` was deprecated in favor of standard\nmodules such as `lists`, `string`, `filelib`, and `erlang`.","title":"httpd_conf module - Deprecations","ref":"deprecations.html#httpd_conf-module"},{"type":"extras","doc":"-   `erlang:now/0`  (see the \"Time and Time Correction in Erlang\" chapter of the ERTS User's Guide for more information)","title":"Functions Deprecated in OTP 18 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-18"},{"type":"extras","doc":"","title":"OTP 16 - Deprecations","ref":"deprecations.html#otp-16"},{"type":"extras","doc":"-   `wxCalendarCtrl:enableYearChange/1`  (not available in wxWidgets-2.9 and later)\n-   `wxCalendarCtrl:enableYearChange/2`  (not available in wxWidgets-2.9 and later)","title":"Functions Deprecated in OTP 16 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-16"},{"type":"extras","doc":"","title":"OTP 12 - Deprecations","ref":"deprecations.html#otp-12"},{"type":"extras","doc":"A new config file format was introduced.","title":"inets - httpd Apache config files - Deprecations","ref":"deprecations.html#inets-httpd-apache-config-files"},{"type":"extras","doc":"-   `auth:cookie/0`  (use erlang:get_cookie/0 instead)\n-   `auth:cookie/1`  (use erlang:set_cookie/2 instead)\n-   `auth:is_auth/1`  (use net_adm:ping/1 instead)\n-   `auth:node_cookie/_`  (use erlang:set_cookie/2 and net_adm:ping/1 instead)\n-   `calendar:local_time_to_universal_time/1`  (use calendar:local_time_to_universal_time_dst/1 instead)","title":"Functions Deprecated in OTP 12 - Deprecations","ref":"deprecations.html#functions-deprecated-in-otp-12"},{"type":"extras","doc":"# Removed Functionality","title":"Removed Functionality","ref":"removed.html"},{"type":"extras","doc":"This document lists all removed functionality in Erlang/OTP. For more\ninformation regarding the strategy regarding removals see the documentation of\n[Support, Compatibility, Deprecations, and Removal](`e:system:misc.md#removal`).","title":"Introduction - Removed Functionality","ref":"removed.html#introduction"},{"type":"extras","doc":"","title":"OTP 27 - Removed Functionality","ref":"removed.html#otp-27"},{"type":"extras","doc":"The obsolete and undocumented support for opening a port to an external\nresource by passing an atom (or a string) as first argument to\n[`open_port()`](`erlang:open_port/2`), implemented by the vanilla driver,\nhas been removed. This feature has been scheduled for removal in OTP 27\nsince the release of OTP 26.","title":"Vanilla Driver - Removed Functionality","ref":"removed.html#vanilla-driver"},{"type":"extras","doc":"-   `crypto:crypto_dyn_iv_init/3`  (not supported, use crypto_init/4)\n-   `crypto:crypto_dyn_iv_update/3`  (not supported, use crypto_update/2)\n-   `file:pid2name/1`  (this functionality is no longer supported)\n-   `zlib:adler32/2`  (use erlang:adler32/1 instead)\n-   `zlib:adler32/3`  (use erlang:adler32/2 instead)\n-   `zlib:adler32_combine/4`  (use erlang:adler_combine/3 instead)\n-   `zlib:crc32/1`  (use erlang:crc32/1 on the uncompressed data instead)\n-   `zlib:crc32/2`  (use erlang:crc32/1 instead)\n-   `zlib:crc32/3`  (use erlang:crc32/2 instead)\n-   `zlib:crc32_combine/4`  (use erlang:crc32_combine/3 instead)\n-   `zlib:getBufSize/1`  (this function has been removed)\n-   `zlib:inflateChunk/1`  (use safeInflate/2 instead)\n-   `zlib:inflateChunk/2`  (use safeInflate/2 instead)\n-   `zlib:setBufSize/2`  (this function has been removed)","title":"Functions Removed in OTP 27 - Removed Functionality","ref":"removed.html#functions-removed-in-otp-27"},{"type":"extras","doc":"","title":"OTP 26 - Removed Functionality","ref":"removed.html#otp-26"},{"type":"extras","doc":"Communication over the Erlang distribution without support for large\n[node container data types (version 4)](`e:erts:erl_dist_protocol.md#DFLAG_V4_NC`)\nwas as of [OTP 24 deprecated](deprecations.md#otp-24) and support for it was\nscheduled for removal in OTP 26. That is, as of OTP 26, support for large node\ncontainer data types will become mandatory. This also includes external term\nformat produced by `term_to_binary()`/`term_to_iovec()`.","title":"Erlang Distribution Without Large Node Container Support - Removed Functionality","ref":"removed.html#erlang-distribution-without-large-node-container-support"},{"type":"extras","doc":"The old link protocol used when communicating over the Erlang distribution was\nas of [OTP 24 deprecated](deprecations.md#otp-24) and support for it was\nscheduled for removal in OTP 26. As of OTP 26 the\n[new link protocol](`e:erts:erl_dist_protocol.md#new_link_protocol`) became\nmandatory. That is, Erlang nodes will refuse to connect to nodes not\nimplementing the new link protocol.","title":"Old Link Protocol - Removed Functionality","ref":"removed.html#old-link-protocol"},{"type":"extras","doc":"-   `code:is_module_native/1` (HiPE has been removed)\n-   `code:rehash/0` (the code path cache feature has been removed)\n-   `disk_log:accessible_logs/0` (use disk_log:all/0 instead)\n-   `disk_log:lclose/1` (use disk_log:close/1 instead)\n-   `disk_log:lclose/2` (use disk_log:close/1 instead)\n-   `erts_alloc_config:_/_` (this module has as of OTP 26.0 been removed)\n-   `ftp:start_service/1` (use ftp:open/2 instead)\n-   `ftp:stop_service/1` (use ftp:close/1 instead)\n-   `httpd_util:decode_hex/1` (use uri_string:unquote function instead)\n-   `httpd_util:encode_hex/1` (use uri_string:quote function instead)\n-   `httpd_util:flatlength/1` (use erlang:iolist_size/1 instead)\n-   `httpd_util:hexlist_to_integer/1` (use erlang:list_to_integer/2 with base 16\n    instead)\n-   `httpd_util:integer_to_hexlist/1` (use erlang:integer_to_list/2 with base 16\n    instead)\n-   `httpd_util:strip/1` (use string:trim/1 instead)\n-   `httpd_util:suffix/1` (use filename:extension/1 and string:trim/2 instead)","title":"Functions Removed in OTP 26 - Removed Functionality","ref":"removed.html#functions-removed-in-otp-26"},{"type":"extras","doc":"-   `code:is_module_native/1`  (HiPE has been removed)\n-   `code:rehash/0`  (the code path cache feature has been removed)\n-   `disk_log:accessible_logs/0`  (use disk_log:all/0 instead)\n-   `disk_log:lclose/1`  (use disk_log:close/1 instead)\n-   `disk_log:lclose/2`  (use disk_log:close/1 instead)\n-   `erts_alloc_config:_/_`  (this module has as of OTP 26.0 been removed)\n-   `ftp:start_service/1`  (use ftp:open/2 instead)\n-   `ftp:stop_service/1`  (use ftp:close/1 instead)\n-   `httpd_util:decode_hex/1`  (use uri_string:unquote function instead)\n-   `httpd_util:encode_hex/1`  (use uri_string:quote function instead)\n-   `httpd_util:flatlength/1`  (use erlang:iolist_size/1 instead)\n-   `httpd_util:hexlist_to_integer/1`  (use erlang:list_to_integer/2 with base 16 instead)\n-   `httpd_util:integer_to_hexlist/1`  (use erlang:integer_to_list/2 with base 16 instead)\n-   `httpd_util:strip/1`  (use string:trim/1 instead)\n-   `httpd_util:suffix/1`  (use filename:extension/1 and string:trim/2 instead)","title":"Functions Removed in OTP 26 - Removed Functionality","ref":"removed.html#functions-removed-in-otp-26"},{"type":"extras","doc":"","title":"OTP 25 - Removed Functionality","ref":"removed.html#otp-25"},{"type":"extras","doc":"-   `filename:safe_relative_path/1`  (use filelib:safe_relative_path/2 instead)\n-   `http_uri:parse/1`  (use uri_string functions instead)\n-   `http_uri:parse/2`  (use uri_string functions instead)\n-   `http_uri:scheme_defaults/0`  (use uri_string functions instead)\n-   `public_key:ssh_decode/2`  (use ssh_file:decode/2 instead)\n-   `public_key:ssh_encode/2`  (use ssh_file:encode/2 instead)\n-   `public_key:ssh_hostkey_fingerprint/1`  (use ssh:hostkey_fingerprint/1 instead)\n-   `public_key:ssh_hostkey_fingerprint/2`  (use ssh:hostkey_fingerprint/2 instead)","title":"Functions Removed in OTP 25 - Removed Functionality","ref":"removed.html#functions-removed-in-otp-25"},{"type":"extras","doc":"","title":"OTP 24 - Removed Functionality","ref":"removed.html#otp-24"},{"type":"extras","doc":"The `registry` functionality part of `erl_interface` was as of\n[OTP 23 deprecated](deprecations.md#otp-23) and was removed in OTP 24.","title":"erl_interface registry - Removed Functionality","ref":"removed.html#erl_interface-registry"},{"type":"extras","doc":"The Erlang compiler now refuses to compile source files encoded in Latin-1\nwithout a `%% coding: latin-1` comment at the beginning of the file.","title":"Compilation of Latin-1 Encoded Erlang Files - Removed Functionality","ref":"removed.html#compilation-of-latin-1-encoded-erlang-files"},{"type":"extras","doc":"The `igor` and `erl_tidy` modules have been removed from OTP and is now\nmaintained by their original author Richard Carlsson. They can be found at\n[github.com/richcarl/igor](https://github.com/richcarl/igor) and\n[github.com/richcarl/erl_tidy](https://github.com/richcarl/erl_tidy),\nrespectively.","title":"igor and erl_tidy modules in syntax_tools - Removed Functionality","ref":"removed.html#igor-and-erl_tidy-modules-in-syntax_tools"},{"type":"extras","doc":"The distributed `m:disk_log` feature was as of\n[OTP 23 deprecated](deprecations.md#otp-23) and was removed in OTP 24.","title":"Distributed Disk Logs - Removed Functionality","ref":"removed.html#distributed-disk-logs"},{"type":"extras","doc":"The [Old API](`e:crypto:new_api.md#the-old-api`) was removed in OTP 24. The\nsupport was formally deprecated as of OTP 23.\n\nFor replacement functions see the [New API](`e:crypto:new_api.md#the-new-api`).","title":"Old Crypto API - Removed Functionality","ref":"removed.html#old-crypto-api"},{"type":"extras","doc":"The pre-release version 3 encoding configs; `prev3a`, `prev3b` and `prev3c` was\nremoved in OTP 24. Use the full version instead.\n\nThe (encoding) config option for the full version, `{version3, 3}`, will still\nbe supported, even though its no longer necessary to specify it this way.","title":"Megaco version 3 encoding config - Removed Functionality","ref":"removed.html#megaco-version-3-encoding-config"},{"type":"extras","doc":"-   `crypto:block_decrypt/3`  (use crypto:crypto_one_time/4 or crypto:crypto_init/3 + crypto:crypto_update/2 + crypto:crypto_final/1 instead)\n-   `crypto:block_decrypt/4`  (use crypto:crypto_one_time/5, crypto:crypto_one_time_aead/6,7 or crypto:crypto_init + crypto:crypto_update + crypto:crypto_final instead)\n-   `crypto:block_encrypt/3`  (use crypto:crypto_one_time/4 or crypto:crypto_init/3 + crypto:crypto_update/2 + crypto:crypto_final/1 instead)\n-   `crypto:block_encrypt/4`  (use crypto:crypto_one_time/5, crypto:crypto_one_time_aead/6,7 or crypto:crypto_init + crypto:crypto_update + crypto:crypto_final instead)\n-   `crypto:cmac/3`  (use crypto:mac/4 instead)\n-   `crypto:cmac/4`  (use crypto:macN/5 instead)\n-   `crypto:hmac/3`  (use crypto:mac/4 instead)\n-   `crypto:hmac/4`  (use crypto:macN/5 instead)\n-   `crypto:hmac_final/1`  (use crypto:mac_final/1 instead)\n-   `crypto:hmac_final_n/2`  (use crypto:mac_finalN/2 instead)\n-   `crypto:hmac_init/2`  (use crypto:mac_init/3 instead)\n-   `crypto:hmac_update/2`  (use crypto:mac_update/2 instead)\n-   `crypto:next_iv/_`  (see the 'New and Old API' chapter of the CRYPTO User's guide)\n-   `crypto:poly1305/2`  (use crypto:mac/3 instead)\n-   `crypto:stream_decrypt/2`  (use crypto:crypto_update/2 instead)\n-   `crypto:stream_encrypt/2`  (use crypto:crypto_update/2 instead)\n-   `crypto:stream_init/_`  (use crypto:crypto_init/3 + crypto:crypto_update/2 + crypto:crypto_final/1 or crypto:crypto_one_time/4 instead)\n-   `filename:find_src/_`  (use filelib:find_source/1,3 instead)\n-   `pg2:_/_`  (this module was removed in OTP 24. Use 'pg' instead)\n-   `ssl:cipher_suites/0`  (use cipher_suites/2,3 instead)\n-   `ssl:cipher_suites/1`  (use cipher_suites/2,3 instead)\n-   `ssl:ssl_accept/_`  (use ssl_handshake/1,2,3 instead)","title":"Functions Removed in OTP 24 - Removed Functionality","ref":"removed.html#functions-removed-in-otp-24"},{"type":"extras","doc":"","title":"OTP 23 - Removed Functionality","ref":"removed.html#otp-23"},{"type":"extras","doc":"Some parts of OTP has had limited VxWorks support, such as\n[`erl_interface`](`e:erl_interface:index.html`). This support was removed in\nOTP 23. This limited support was formally deprecated as of OTP 22.","title":"VxWorks Support - Removed Functionality","ref":"removed.html#vxworks-support"},{"type":"extras","doc":"The old legacy [`erl_interface`](`e:erl_interface:index.html`) library\n(functions with prefix `erl_`) was removed in OTP 23. These parts of\n`erl_interface` has been informally deprecated for a very long time, and was\nformally deprecated in OTP 22. You typically want to replace the usage of the\n`erl_interface` library with the use of the `ei` library which also is part of\nthe `erl_interface` application.","title":"Legacy parts of erl_interface - Removed Functionality","ref":"removed.html#legacy-parts-of-erl_interface"},{"type":"extras","doc":"API functions in the module called `httpd_conf` was deprecated in favor of\nstandard modules such as `lists`, `string`, `filelib`, and `erlang`. Formally\ndeprecated as of OTP 18.","title":"httpd_conf module - Removed Functionality","ref":"removed.html#httpd_conf-module"},{"type":"extras","doc":"Support for the Apache-compatible config files was removed in OTP 23. A new\nconfig file format was introduced in OTP 12.","title":"inets - httpd Apache config files - Removed Functionality","ref":"removed.html#inets-httpd-apache-config-files"},{"type":"extras","doc":"For security reasons SSL-3.0 is no longer supported at all.","title":"SSL/TLS - Removed Functionality","ref":"removed.html#ssl-tls"},{"type":"extras","doc":"-   `erlang:get_stacktrace/0`  (use the new try/catch syntax for retrieving the stack backtrace)\n-   `httpd_conf:check_enum/2`  (use lists:member/2 instead)\n-   `httpd_conf:clean/1`  (use string:strip/1 instead or possibly the re module)\n-   `httpd_conf:custom_clean/3`  (use string:strip/1 instead or possibly the re module)\n-   `httpd_conf:is_directory/1`  (use filelib:is_dir/1 instead)\n-   `httpd_conf:is_file/1`  (use filelib:is_file/1 instead)\n-   `httpd_conf:make_integer/1`  (use erlang:list_to_integer/1 instead)","title":"Functions Removed in OTP 23 - Removed Functionality","ref":"removed.html#functions-removed-in-otp-23"},{"type":"extras","doc":"","title":"OTP 22 - Removed Functionality","ref":"removed.html#otp-22"},{"type":"extras","doc":"-   `os_mon_mib:_/_`  (this module was removed in OTP 22.0)","title":"Functions Removed in OTP 22 - Removed Functionality","ref":"removed.html#functions-removed-in-otp-22"},{"type":"extras","doc":"","title":"OTP 20 - Removed Functionality","ref":"removed.html#otp-20"},{"type":"extras","doc":"-   `asn1ct:decode/_`  (use Mod:decode/2 instead)\n-   `asn1ct:encode/_`  (use Mod:encode/2 instead)\n-   `erlang:hash/2`  (use erlang:phash2/2 instead)\n-   `ssl:connection_info/1`  (use ssl:connection_information/[1,2] instead)\n-   `ssl:negotiated_next_protocol/1`  (use ssl:negotiated_protocol/1 instead)","title":"Functions Removed in OTP 20 - Removed Functionality","ref":"removed.html#functions-removed-in-otp-20"},{"type":"extras","doc":"","title":"OTP 19 - Removed Functionality","ref":"removed.html#otp-19"},{"type":"extras","doc":"-   `core_lib:get_anno/1`  (use cerl:get_ann/1 instead)\n-   `core_lib:is_literal/1`  (use cerl:is_literal/1 instead)\n-   `core_lib:is_literal_list/1`  (use cerl:is_literal_list/1 instead)\n-   `core_lib:literal_value/1`  (use cerl:concrete/1 instead)\n-   `core_lib:set_anno/2`  (use cerl:set_ann/2 instead)\n-   `erl_lint:modify_line/2`  (use erl_parse:map_anno/2 instead)\n-   `erl_parse:get_attribute/2`  (erl_anno:{column,line,location,text}/1 instead)\n-   `erl_parse:get_attributes/1`  (erl_anno:{column,line,location,text}/1 instead)\n-   `erl_parse:set_line/2`  (use erl_anno:set_line/2)\n-   `erl_scan:attributes_info/_`  (use erl_anno:{column,line,location,text}/1 instead)\n-   `erl_scan:set_attribute/3`  (use erl_anno:set_line/2 instead)\n-   `erl_scan:token_info/_`  (use erl_scan:{category,column,line,location,symbol,text}/1 instead)\n-   `rpc:safe_multi_server_call/2`  (use rpc:multi_server_call/2 instead)\n-   `rpc:safe_multi_server_call/3`  (use rpc:multi_server_call/3 instead)","title":"Functions Removed in OTP 19 - Removed Functionality","ref":"removed.html#functions-removed-in-otp-19"},{"type":"extras","doc":"# Scheduled for Removal","title":"Scheduled for Removal","ref":"scheduled_for_removal.html"},{"type":"extras","doc":"This document list all functionality in Erlang/OTP that currently are scheduled\nfor removal. For more information regarding the strategy regarding removal of\nfunctionality see the documentation of\n[Support, Compatibility, Deprecations, and Removal](`e:system:misc.md#removal`).","title":"Introduction - Scheduled for Removal","ref":"scheduled_for_removal.html#introduction"},{"type":"extras","doc":"","title":"OTP 29 - Scheduled for Removal","ref":"scheduled_for_removal.html#otp-29"},{"type":"extras","doc":"-   `ct_slave:_/_`  (use ?CT_PEER(), or the 'peer' module instead)\n-   `slave:_/_`  (use the 'peer' module instead)","title":"Functions Scheduled for Removal in OTP 29 - Scheduled for Removal","ref":"scheduled_for_removal.html#functions-scheduled-for-removal-in-otp-29"},{"type":"extras","doc":"","title":"OTP 28 - Scheduled for Removal","ref":"scheduled_for_removal.html#otp-28"},{"type":"extras","doc":"The following features of archives will be removed:\n\n* Using archives for packaging a single application or parts of a single application\n  into an archive file that is included in the code path.\n\n* All functionality to handle archives in module `m:erl_prim_loader`.\n\n* The `-code_path_choice` flag for `erl`.\n\nThe functionality to use a single archive file in Escripts is **not**\ndeprecated and will continue to work.  However, to access files in the\narchive, the `escript:extract/2` function has to be used.","title":"Archives - Scheduled for Removal","ref":"scheduled_for_removal.html#archives"},{"type":"extras","doc":"-   `disk_log:inc_wrap_file/1`  (use disk_log:next_file/1 instead)\n-   `mnesia_registry:create_table/_`  (use mnesia:create_table/2 instead)","title":"Functions Scheduled for Removal in OTP 28 - Scheduled for Removal","ref":"scheduled_for_removal.html#functions-scheduled-for-removal-in-otp-28"},{"type":"extras","doc":"","title":"OTP 27 - Scheduled for Removal","ref":"scheduled_for_removal.html#otp-27"},{"type":"extras","doc":"-   `dbg:stop_clear/0`  (use dbg:stop/0 instead)","title":"Functions Scheduled for Removal in OTP 27 - Scheduled for Removal","ref":"scheduled_for_removal.html#functions-scheduled-for-removal-in-otp-27"},{"type":"extras","doc":"<!--\n%CopyrightBegin%\n\nCopyright Ericsson AB 2023-2024. All Rights Reserved.\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.\n\n%CopyrightEnd%\n-->\n# Upcoming Potential Incompatibilities","title":"Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html"},{"type":"extras","doc":"This document lists planned upcoming potential incompatibilities in Erlang/OTP.","title":"Introduction - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#introduction"},{"type":"extras","doc":"","title":"OTP 27 - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#otp-27"},{"type":"extras","doc":"As of OTP 27, the functions [`erlang:fun_info/1,2`](`erlang:fun_info/1`) will\nalways say that the local `init` process created all funs, regardless of which\nprocess or node the fun was originally created on.\n\nIn OTP 28, the `{pid,_}`element will be removed altogether.\n\n[](){: #maybe_expr }","title":"Fun creator pid will always be local init process - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#fun-creator-pid-will-always-be-local-init-process"},{"type":"extras","doc":"As of OTP 27, the `maybe_expr` feature will be approved and enabled by default.\nThat means that code that uses the unquoted atom `maybe` will fail to compile.\nAll uses of `maybe` as an atom will need to be quoted. Alternatively, as a\nshort-term solution, the `maybe_expr` feature can be disabled.\n\nIt is recommend to quote all uses of the atom `maybe` as soon as possible. The\ncompiler option `warn_keywords` can be used to emit warnings about all\noccurrences of `maybe` without quotes.\n\n[](){: #float_matching }","title":"Feature maybe_expr will be enabled by default - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#feature-maybe_expr-will-be-enabled-by-default"},{"type":"extras","doc":"Currently, the floating point numbers `0.0` and `-0.0` have distinct internal\nrepresentations. That can be seen if they are converted to binaries:\n\n```erlang\n1> <<0.0/float>>.\n<<0,0,0,0,0,0,0,0>>\n2> <<-0.0/float>>.\n<<128,0,0,0,0,0,0,0>>\n```\n\nHowever, when they are matched against each other or compared using the `=:=`\noperator, they are considered to be equal. Thus, `0.0 =:= -0.0` currently\nreturns `true`.\n\nIn Erlang/OTP 27, `0.0 =:= -0.0` will return `false`, and matching `0.0` against\n`-0.0` will fail. When used as map keys, `0.0` and `-0.0` will be considered to\nbe distinct.\n\nThe `==` operator will continue to return `true` for `0.0 == -0.0`.\n\nTo help to find code that might need to be revised, in OTP 27 there will be a\nnew compiler warning when matching against `0.0` or comparing to that value\nusing the `=:=` operator. The warning can be suppressed by matching against\n`+0.0` instead of `0.0`.\n\nWe plan to introduce the same warning in OTP 26.1, but by default it will be\ndisabled.\n\n[](){: #singleton_typevars }","title":"0\\.0 and -0.0 will no longer be exactly equal - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#0-0-and-0-0-will-no-longer-be-exactly-equal"},{"type":"extras","doc":"Before Erlang/OTP 26, the compiler would silenty accept the following spec:\n\n```erlang\n-spec f(Opts) -> term() when\n    Opts :: {ok, Unknown} | {error, Unknown}.\nf(_) -> error.\n```\n\nIn OTP 26, the compiler emits a warning pointing out that the type variable\n`Unknown` is unbound:\n\n```erlang\nt.erl:6:18: Warning: type variable 'Unknown' is only used once (is unbound)\n%    6|     Opts :: {ok, Unknown} | {error, Unknown}.\n%     |                  ^\n```\n\nIn OTP 27, that warning will become an error.\n\n[](){: #escripts_will_be_compiled }","title":"Singleton type variables will become a compile-time error - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#singleton-type-variables-will-become-a-compile-time-error"},{"type":"extras","doc":"Escripts will be compiled by default instead of interpreted. That means that the\n`compiler` application must be available.\n\nThe old behavior of interpreting escripts can be restored by adding the\nfollowing line to the script file:\n\n```erlang\n-mode(interpret).\n```\n\nIn OTP 28, support for interpreting an escript will be removed.\n\n### \\-code_path_choice will default to strict\n\nThis command line option controls if paths given in the command line, boot\nscripts, and the code server should be interpreted as is strict or relaxed.\n\nOTP 26 and earlier defaults to `relaxed`, which means `-pa myapp/ebin` would\nattempt to load `-pa myapp/ebin` and `-pa myapp/myapp/ebin`. The option will\ndefault to strict in OTP 27.","title":"Escripts will be compiled by default - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#escripts-will-be-compiled-by-default"},{"type":"extras","doc":"OTP 26 and earlier allows an application to have part of its directories as\nregular folders and others as archives. This functionality was previously used\nby reltool but it is no longer the case from OTP 26. Support for archive\nfallbacks will be removed from the code server in OTP 27.\n\n[](){: #triple_quoted_strings }","title":"Archive fallbacks will be removed - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#archive-fallbacks-will-be-removed"},{"type":"extras","doc":"Before Erlang/OTP 27 a sequence of 3 or more double-quote characters was grouped\nin pairs each meaning the empty string and if there was an odd number the last\ncharacter was the start of a string. The empty strings were then concatenated\nand effectively disappeared.\n\nIn Erlang/OTP 27; 3 or more double-quote characters are interpreted as the start\nof a \"Triple-Quoted String\". See [EEP 64](https://www.erlang.org/eeps/eep-0064).\n\nHere follows some examples of code that would change meaning. Note that all\nthese examples before Erlang/OTP 27.0 was strange since there was no sensible\nreason to write like that.\n\n```erlang\n\"\"\"String Content\"\"\"\n%% Was interpreted as\n\"\" \"String Content\" \"\"\n%% Which becomes\n\"String Content\"\n%%\n%% In OTP 27 it is instead a syntax error since no text is allowed\n%% on the line after an opening triple-quote\n```\n\n```text\n\"\"\"\nString Content\n\"\"\"\n%% Was interpreted as\n\"\" \"\nString Content\n\" \"\"\n%% Which becomes\n\"\nString Content\n\"\n%%\n%% In OTP 27 it is instead interpreted as a\n%% Triple-Quoted String equivalent to\n\"String Content\"\n```\n\n```erlang\n\"\"\"\"\n++ foo() ++\n\"\"\"\"\n%% Became\n\"\" ++ foo() ++ \"\"\n%%\n%% In OTP 27 it is instead interpreted as a\n%% Triple-Quoted String (triple-or-more) equivalent to\n\"++ foo() ++\"\n```\n\nFrom Erlang/OTP 26.1 up to 27.0 the compiler issues a warning for a sequence of\n3 or more double-quote characters since that is almost certainly a mistake or\nsomething like a result of bad automatic code generation. If a users gets that\nwarning, the code should be corrected for example by inserting appropriate\nspaces between the empty strings, or removing the redundant ones alltogether,\nwhich will have the same meaning before and after Erlang/OTP 27.","title":"Triple-Quoted Strings - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#triple-quoted-strings"},{"type":"extras","doc":"[](){: #new_re_engine }","title":"OTP 28 - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#otp-28"},{"type":"extras","doc":"The functionality of module `m:re` is currently provided by the PCRE library,\nwhich is no longer actively maintained. Therefore, in OTP 27, we will switch to\na different regular expression library.\n\nThe source code for PCRE used by the `re` module has been modified by the OTP\nteam to ensure that a regular expression match would yield when matching huge\ninput binaries and/or when using demanding (back-tracking) regular expressions.\nBecause of the those modifications, moving to a new version of PCRE has always\nbeen a time-consuming process because all of the modifications had to be applied\nby hand again to the updated PCRE source code.\n\nMost likely, the new regular expression library will be\n[RE2](https://github.com/google/re2). RE2 guarantees that the match time is\nlinear in the length of input string, and it also eschews recursion to avoid\nstack overflow. That should make it possible to use RE2 without modifying its\nsource code. For more information about why RE2 is a good choice, see\n[WhyRE2](https://github.com/google/re2/wiki/WhyRE2).\n\nSome of implications of this change are:\n\n- We expect that the functions in the `re` module will continue to be supported,\n  although some of the options are likely to be dis-continued.\n- It is likely that only pattern matching of UTF8-encoded binaries will be\n  supported (not Latin1-encoded binaries).\n- In order to guarantee the linear-time performance, RE2 does not support all\n  the constructs in regular expression patterns that PCRE do. For example,\n  backreferences and look-around assertions are not supported. See\n  [Syntax](https://github.com/google/re2/wiki/Syntax) for a description of what\n  RE2 supports.\n- Compiling a regular expression is likely to be slower, and thus more can be\n  gained by explicitly compiling the regular expression before matching with it.\n\n[](){: #fun_creator_pid }","title":"The re module will use a different regular expression engine - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#the-re-module-will-use-a-different-regular-expression-engine"},{"type":"extras","doc":"As of OTP 28, the function `erlang:fun_info/1` will not include the `{pid,_}`\nelement and the function `erlang:fun_info/2` will no longer accept `pid` as the\nsecond argument.\n\n[](){: #escript_interpret_mode_removed }","title":"Fun creator pid will be removed - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#fun-creator-pid-will-be-removed"},{"type":"extras","doc":"Escripts will be compiled, and it will no longer be possible to force an escript\nto be interpreted by using the directive `-mode(interpret)`.","title":"Support for interpreting escripts will be removed - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#support-for-interpreting-escripts-will-be-removed"},{"type":"extras","doc":"","title":"OTP 29 - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#otp-29"},{"type":"extras","doc":"As of OTP 29, the `maybe_expr` feature will become permanent and no longer\npossible to disable. All uses of `maybe` as an atom will need to be quoted.\n\nIt is recommend to quote all uses of the atom `maybe` as soon as possible. The\ncompiler option `warn_keywords` can be used to emit warnings about all\noccurrences of `maybe` without quotes.","title":"It will no longer be possible to disable feature maybe_expr - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#it-will-no-longer-be-possible-to-disable-feature-maybe_expr"},{"type":"extras","doc":"As of OTP 29, the `cprof` and `eprof` will be removed in favor of `m:tprof`\nadded in OTP 27.","title":"cprof and eprof will be replaced by tprof - Upcoming Potential Incompatibilities","ref":"upcoming_incompatibilities.html#cprof-and-eprof-will-be-replaced-by-tprof"},{"type":"extras","doc":"# Installation Guide\n\n window.location.replace(\"../system/doc/html/installation_guide.html\")","title":"Installation Guide","ref":"installation_guide.html"},{"type":"extras","doc":"# Getting Started With Erlang\n\n window.location.replace(\"../system/doc/html/getting_started.html\")","title":"Getting Started With Erlang","ref":"getting_started.html"},{"type":"extras","doc":"# System Principles\n\n window.location.replace(\"../system/doc/html/system_principles.html\")","title":"System Principles","ref":"system_principles.html"},{"type":"extras","doc":"# OTP Design Principles\n\n window.location.replace(\"../system/doc/html/design_principles.html\")","title":"OTP Design Principles","ref":"design_principles.html"},{"type":"extras","doc":"# Programming Examples\n\n window.location.replace(\"../system/doc/html/programming_examples.html\")","title":"Programming Examples","ref":"programming_examples.html"},{"type":"extras","doc":"# Erlang Reference Manual\n\n window.location.replace(\"../system/doc/html/reference_manual.html\")","title":"Erlang Reference Manual","ref":"reference_manual.html"},{"type":"extras","doc":"# Efficiency Guide\n\n window.location.replace(\"../system/doc/html/efficiency_guide.html\")","title":"Efficiency Guide","ref":"efficiency_guide.html"},{"type":"extras","doc":"# Interoperability Tutorial\n\n window.location.replace(\"../system/doc/html/tutorial.html\")","title":"Interoperability Tutorial","ref":"tutorial.html"},{"type":"extras","doc":"# OAM Principles\n\n window.location.replace(\"../system/doc/html/oam.html\")","title":"OAM Principles","ref":"oam.html"},{"type":"extras","doc":"# Embedded Systems User's Guide\n\n window.location.replace(\"../system/doc/html/embedded.html\")","title":"Embedded Systems User's Guide","ref":"embedded.html"},{"type":"extras","doc":"# compiler\n\n window.location.replace(\"../lib/compiler/doc/html/index.html\")","title":"compiler","ref":"compiler.html"},{"type":"extras","doc":"# erts\n\n window.location.replace(\"../erts/doc/html/index.html\")","title":"erts","ref":"erts.html"},{"type":"extras","doc":"# kernel\n\n window.location.replace(\"../lib/kernel/doc/html/index.html\")","title":"kernel","ref":"kernel.html"},{"type":"extras","doc":"# sasl\n\n window.location.replace(\"../lib/sasl/doc/html/index.html\")","title":"sasl","ref":"sasl.html"},{"type":"extras","doc":"# stdlib\n\n window.location.replace(\"../lib/stdlib/doc/html/index.html\")","title":"stdlib","ref":"stdlib.html"},{"type":"extras","doc":"# mnesia\n\n window.location.replace(\"../lib/mnesia/doc/html/index.html\")","title":"mnesia","ref":"mnesia.html"},{"type":"extras","doc":"# odbc\n\n window.location.replace(\"../lib/odbc/doc/html/index.html\")","title":"odbc","ref":"odbc.html"},{"type":"extras","doc":"# os_mon\n\n window.location.replace(\"../lib/os_mon/doc/html/index.html\")","title":"os_mon","ref":"os_mon.html"},{"type":"extras","doc":"# snmp\n\n window.location.replace(\"../lib/snmp/doc/html/index.html\")","title":"snmp","ref":"snmp.html"},{"type":"extras","doc":"# asn1\n\n window.location.replace(\"../lib/asn1/doc/html/index.html\")","title":"asn1","ref":"asn1.html"},{"type":"extras","doc":"# crypto\n\n window.location.replace(\"../lib/crypto/doc/html/index.html\")","title":"crypto","ref":"crypto.html"},{"type":"extras","doc":"# diameter\n\n window.location.replace(\"../lib/diameter/doc/html/index.html\")","title":"diameter","ref":"diameter.html"},{"type":"extras","doc":"# eldap\n\n window.location.replace(\"../lib/eldap/doc/html/index.html\")","title":"eldap","ref":"eldap.html"},{"type":"extras","doc":"# erl_interface\n\n window.location.replace(\"../lib/erl_interface/doc/html/index.html\")","title":"erl_interface","ref":"erl_interface.html"},{"type":"extras","doc":"# ftp\n\n window.location.replace(\"../lib/ftp/doc/html/index.html\")","title":"ftp","ref":"ftp.html"},{"type":"extras","doc":"# inets\n\n window.location.replace(\"../lib/inets/doc/html/index.html\")","title":"inets","ref":"inets.html"},{"type":"extras","doc":"# jinterface\n\n window.location.replace(\"../lib/jinterface/doc/html/index.html\")","title":"jinterface","ref":"jinterface.html"},{"type":"extras","doc":"# megaco\n\n window.location.replace(\"../lib/megaco/doc/html/index.html\")","title":"megaco","ref":"megaco.html"},{"type":"extras","doc":"# public_key\n\n window.location.replace(\"../lib/public_key/doc/html/index.html\")","title":"public_key","ref":"public_key.html"},{"type":"extras","doc":"# ssh\n\n window.location.replace(\"../lib/ssh/doc/html/index.html\")","title":"ssh","ref":"ssh.html"},{"type":"extras","doc":"# ssl\n\n window.location.replace(\"../lib/ssl/doc/html/index.html\")","title":"ssl","ref":"ssl.html"},{"type":"extras","doc":"# tftp\n\n window.location.replace(\"../lib/tftp/doc/html/index.html\")","title":"tftp","ref":"tftp.html"},{"type":"extras","doc":"# wx\n\n window.location.replace(\"../lib/wx/doc/html/index.html\")","title":"wx","ref":"wx.html"},{"type":"extras","doc":"# xmerl\n\n window.location.replace(\"../lib/xmerl/doc/html/index.html\")","title":"xmerl","ref":"xmerl.html"},{"type":"extras","doc":"# debugger\n\n window.location.replace(\"../lib/debugger/doc/html/index.html\")","title":"debugger","ref":"debugger.html"},{"type":"extras","doc":"# dialyzer\n\n window.location.replace(\"../lib/dialyzer/doc/html/index.html\")","title":"dialyzer","ref":"dialyzer.html"},{"type":"extras","doc":"# et\n\n window.location.replace(\"../lib/et/doc/html/index.html\")","title":"et","ref":"et.html"},{"type":"extras","doc":"# observer\n\n window.location.replace(\"../lib/observer/doc/html/index.html\")","title":"observer","ref":"observer.html"},{"type":"extras","doc":"# parsetools\n\n window.location.replace(\"../lib/parsetools/doc/html/index.html\")","title":"parsetools","ref":"parsetools.html"},{"type":"extras","doc":"# reltool\n\n window.location.replace(\"../lib/reltool/doc/html/index.html\")","title":"reltool","ref":"reltool.html"},{"type":"extras","doc":"# runtime_tools\n\n window.location.replace(\"../lib/runtime_tools/doc/html/index.html\")","title":"runtime_tools","ref":"runtime_tools.html"},{"type":"extras","doc":"# syntax_tools\n\n window.location.replace(\"../lib/syntax_tools/doc/html/index.html\")","title":"syntax_tools","ref":"syntax_tools.html"},{"type":"extras","doc":"# tools\n\n window.location.replace(\"../lib/tools/doc/html/index.html\")","title":"tools","ref":"tools.html"},{"type":"extras","doc":"# common_test\n\n window.location.replace(\"../lib/common_test/doc/html/index.html\")","title":"common_test","ref":"common_test.html"},{"type":"extras","doc":"# eunit\n\n window.location.replace(\"../lib/eunit/doc/html/index.html\")","title":"eunit","ref":"eunit.html"},{"type":"extras","doc":"# edoc\n\n window.location.replace(\"../lib/edoc/doc/html/index.html\")","title":"edoc","ref":"edoc.html"}],"content_type":"text/plain","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}